libssh 0.7.3

Functions
The SSH error functions.
The libssh API

Functions for error handling. More...

## Functions
const char * | ssh_get_error (void *error)
| Retrieve the error text message from the last error. More...
int | ssh_get_error_code (void *error)
| Retrieve the error code from the last error. More...

## Detailed Description

Functions for error handling.

## Function Documentation

## § ssh_get_error()

const char* ssh_get_error | ( | void * | error | ) |

Retrieve the error text message from the last error.

Parameters

  error | An ssh_session or ssh_bind.

Returns
  A static string describing the error.

Referenced by ssh::Session::getDisconnectMessage(), ssh_scp_init(), ssh_scp_leave_directory(), ssh_scp_push_directory(), and ssh_scp_push_file64().

## § ssh_get_error_code()

int ssh_get_error_code | ( | void * | error | ) |

Retrieve the error code from the last error.

Parameters

  error | An ssh_session or ssh_bind.

Returns
  SSH_NO_ERROR No error occurred
  SSH_REQUEST_DENIED The last request was denied but situation is recoverable
  SSH_FATAL A fatal error occurred. This could be an unexpected disconnection
  Other error codes are internal but can be considered same than SSH_FATAL.

Referenced by ssh::Session::getDisconnectMessage().